MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > Shape : Node > Shapes - Extended >

# WideFlange : Shape

    WideFlange - superclass: shape; super-superclass:node - 42:7 - classID: #(-1565053194, 0)

Value > MAXWrapper > Node > GeometryClass > Shape > WideFlange

| Shapes and Splines - Quick Navigation

The WideFlangeShape is available in 3ds Max 8 and higher under Create>Shapes>"Extended Splines" and provides an "H"-like shape.

Constructor

    WideFlange...

Properties

## Parameters Rollout

    <WideFlange>.wide_flange_length Float default: 0.0 -- animatable; float; Length

Get/set the Length of the Wide Flange shape.

    <WideFlange>.wide_flange_width Float default: 0.0 -- animatable; float; Width

Get/set the Width of the Wide Flange shape.

    <WideFlange>.wide_flange_thickness Float default: 0.0 -- animatable; float; Thickness

Get/set the Thickness of the Wide Flange shape.

    <WideFlange>.wide_flange_radius Float default: 0.0 -- animatable; float; CornerRadius

Get/set the Radius of the Wide Flange shape.

## Interpolation Rollout

    <WideFlange>.steps Integer default: 6 -- integer

Get/set the Steps value. This controls the number of subdivisions between two vertices.

    <WideFlange>.optimize BooleanClass default: true -- boolean

Enable/Disable the Optimize option. When set to true, removes unneeded steps from straight segments in the spline.

    <WideFlange>.adaptive BooleanClass default: false -- boolean

Enable/Disable the Adaptive option. When true, sets the number of steps for each segment to produce a smooth curve. Straight segments always receive 0 steps.

## Creation Method Rollout

    <WideFlange>.typeIn_creationMethod BooleanClass default: false -- boolean; Creation_Method

Controls the creation method when using the Keyboard Entry controls. Possible values are:

false:Edge

true:Center

## Keyboard Entry Rollout

    <WideFlange>.typeIn_x Float default: 0.0 -- float; X

Get/set the X type-in value.

    <WideFlange>.typeIn_y Float default: 0.0 -- float; Y

Get/set the Y type-in value.

    <WideFlange>.typeIn_z Float default: 0.0 -- float; Z

Get/set the Z type-in value.

    <WideFlange>.typeIn_Length Float default: 0.0 -- float; TypeInLength

Get/set the Length type-in value.

    <WideFlange>.typeIn_Width Float default: 0.0 -- float; TypeInWidth

Get/set the Width type-in value.

    <WideFlange>.typeIn_Thickness Float default: 0.0 -- float; TypeInThickness

Get/set the Thickness type-in value.

    <WideFlange>.typeIn_Radius Float default: 0.0 -- float; TypeInRadius

Get/set the Corner Radius type-in value.

## Rendering Rollout

    <WideFlange>.render_renderable BooleanClass default: false -- boolean; renderable

Controls the state of the "Enable in Renderer" checkbox. When set to true, the spline will be rendered by the production renderer.

    <WideFlange>.render_displayRenderMesh BooleanClass default: false -- boolean; displayRenderMesh

Controls the state of the "Enable In Viewport" checkbox. When set to true, the spline's mesh will be displayed in the viewports.

    <WideFlange>.render_useViewportSettings BooleanClass default: false -- boolean; useViewportSettings

Controls the state of the "Use Viewport Settings" checkbox. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too.

    <WideFlange>.render_mapcoords BooleanClass default: false -- boolean; mapcoords

Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.

    <WideFlange>.realWorldMapSize BooleanClass default: false -- boolean

Toggles the real-world map size option on and off.

    <WideFlange>.render_displayRenderSettings BooleanClass default: true -- boolean; displayRenderSettings

Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.

    <WideFlange>.render_rectangular BooleanClass default: false -- boolean

When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.

    <WideFlange>.render_viewport_rectangular BooleanClass default: false -- boolean

When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.

## Renderer - Radial Cross-Section

    <WideFlange>.render_thickness Float default: 1.0 -- animatable
    <WideFlange>.thickness Float default: 1.0 -- float

Get/Set the diameter of the Radial renderable spline mesh.

    <WideFlange>.render_sides Integer default: 12 -- animatable
    <WideFlange>.sides Integer default: 3 -- integer

Get/Set the number of sides for the spline mesh in the renderer. A value of 4 will give you a square cross section, for example.

    <WideFlange>.render_angle Float default: 0.0 -- animatable
    <WideFlange>.angle Float default: 0.0 -- float

Get/Set therotational position of the Radial cross-section in the renderer.

## Renderer - Rectangular Cross-Section

    <WideFlange>.render_width Float default: 2.0 -- animatable

Get/Set the length of the Rectangular renderable spline mesh.

    <WideFlange>.render_length Float default: 6.0 -- animatable

Get/Set the width of the Rectangular renderable spline mesh.

    <WideFlange>.render_angle2 Float default: 0.0 -- animatable

Get/Set rotational position of the Rectangular cross-section in the renderer.

    <WideFlange>.render_aspect_locked BooleanClass default: false -- boolean

Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.

## Viewport - Radial Cross-Section

    <WideFlange>.render_viewport_angle Float default: 0.0 -- float; viewport_angle

Get/Set the diameter of the Radial renderable spline mesh in the viewport.

    <WideFlange>.render_viewport_sides Integer default: 12 -- integer; viewport_sides

Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.

    <WideFlange>.render_viewport_thickness Float default: 1.0 -- float; viewport_thickness

Gets/Sets the rotational position of the cross-section in the viewports.

## Viewport - Rectangular Cross-Section

    <WideFlange>.render_viewport_length Float default: 6.0 -- float

Get/Set the length of the Rectangular spline mesh in the viewports.

    <WideFlange>.render_viewport_width Float default: 2.0 -- float

Get/Set the width of the Rectangular spline mesh in the viewports.

    <WideFlange>.render_viewport_angle2 Float default: 0.0 -- float

Get/Set rotational position of the Rectangular cross-section in the viewports.

    <WideFlange>.render_viewport_aspect_locked BooleanClass default: false -- boolean

Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.

## Auto Smooth

    <WideFlange>.render_auto_smooth BooleanClass default: true -- boolean

Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.

    <WideFlange>.render_threshold Float default: 40.0 -- animatable; Controller Scaling: (1 : 57.2958); WeirdScaled (1.0)

Get/Set auto smoothing angle threshold.

#### See Also

- Shapes - Extended

- Shapes - Splines

- Spline Shape Common Properties, Operators, and Methods

- Shape Common Properties, Operators, and Methods

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods